#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "Kickstart"
iconName = "Sovereign"
longName = "CPP Kickstart"
shipFile = "Kickstart"
species = App.SPECIES_GALAXY
menuGroup = "Star Wreck Ships"
playerMenuGroup = "Star Wreck Ships"
Foundation.ShipDef.Kickstart = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.Kickstart.desc = "Information unknown."
Foundation.ShipDef.Kickstart.SubMenu = "P-Fleet"
Foundation.ShipDef.Kickstart.SubSubMenu = "Sovereign"
Foundation.ShipDef.Kickstart.CloakingSFX = ""
Foundation.ShipDef.Kickstart.DeCloakingSFX = ""
Foundation.ShipDef.Kickstart.fMaxWarp = 8.75 + 0.0001
Foundation.ShipDef.Kickstart.fCruiseWarp = 4.5 + 0.0001


if menuGroup:           Foundation.ShipDef.Kickstart.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Kickstart.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


def KickstartIDSwap(self):
       retval = {'Textures': [
                ['sv1_glow', 'data/Models/SharedTextures/FedShips/High/Kickstart1_glow.tga'],
                ['sv2_glow', 'data/Models/SharedTextures/FedShips/High/Kickstart2_glow.tga'],
                ['sv3_glow', 'data/Models/SharedTextures/FedShips/High/Kickstart3_glow.tga'],
                ['sv4_glow', 'data/Models/SharedTextures/FedShips/High/Kickstart4_glow.tga']
                ]}
       return retval


Foundation.ShipDef.Kickstart.__dict__['SDT Entry'] = KickstartIDSwap
