#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "PSovereign"
iconName = "Sovereign"
longName = "Sovereign"
shipFile = "PSovereign"
species = App.SPECIES_GALAXY
menuGroup = "Star Wreck Ships"
playerMenuGroup = "Star Wreck Ships"
Foundation.ShipDef.PSovereign = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.PSovereign.desc = "In a somewhat \'comical\' counterpart to the standard Star Trek universe is a strange version of reality with the P-Fleet (a parody of Starfleet). This one of it\'s most versatile ships, a parody of the Federation Sovereign Class."
Foundation.ShipDef.PSovereign.SubMenu = "P-Fleet"
Foundation.ShipDef.PSovereign.SubSubMenu = "Sovereign"
Foundation.ShipDef.PSovereign.CloakingSFX = ""
Foundation.ShipDef.PSovereign.DeCloakingSFX = ""
Foundation.ShipDef.PSovereign.fMaxWarp = 8.75 + 0.0001
Foundation.ShipDef.PSovereign.fCruiseWarp = 4.5 + 0.0001


if menuGroup:           Foundation.ShipDef.PSovereign.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.PSovereign.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


def PSovereignIDSwap(self):
       retval = {'Textures': [
                ['sv1_glow', 'Data/Models/SharedTextures/FedShips/PSovereign1_glow.tga'],
                ['sv2_glow', 'Data/Models/SharedTextures/FedShips/PSovereign2_glow.tga'],
                ['sv3_glow', 'Data/Models/SharedTextures/FedShips/PSovereign3_glow.tga'],
                ['sv4_glow', 'Data/Models/SharedTextures/FedShips/PSovereign4_glow.tga']
                ]}
       return retval


Foundation.ShipDef.PSovereign.__dict__['SDT Entry'] = PSovereignIDSwap
